package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Message;
import com.cloudcross.ssp.base.service.IGenericService;

public interface IMessageService extends IGenericService<Message> {

	/**
	 * 用状态和搜索条件查找消息
	 */
	public int countByStatus(Map<String, Object> paramMap);
	/**
	 * 
	 * @param type 对应消息类型
	 * @return
	 */
	public List<Message> findByType(int type);
	public Message selectByRead(Long id);
	
	public List<Message> findByType(Map<String, Object> paramMap);

	boolean updateRead(List<Long> IdList, int read);

	
}
